Классический редактор Plugin может быть включен с 5.0 Обновления, Поддержка окно установить до конца в 2021 году

Гэри Пендергаст объявил сегодня утром, что классический редактор плагин будет официально поддерживается до 31 декабря 2021 года. Плагин облегчает переход для сайтов, где плагины или темы еще не совместимы с Гутенбергом и дает пользователям возможность сохранить существующие рабочие процессы.

“Поскольку классический редактор плагин имеет центральное значение в этом переходе, мы рассматриваем вопрос о включении его с обновлениями WordPress 5.0”, сказал Пендергаст. “Новые установки WordPress будет по-прежнему добавлять его вручную, и мы включили его в Список Рекомендуемые Plugins для увеличения видимости. Если у вас есть мысли по этой идее, пожалуйста, оставьте комментарий “.

Пендергаст уточнил, что “официально поддерживается” означает, что плагин “будет гарантировано работать, как ожидалось в последнем крупном выпуске WordPress, и основной релиз до него”. Он также сказал, что проект будет оценивать продолжающееся техническое обслуживание плагина в 2021 году и, возможно, продлить срок.

Сообщение уже получил опрокинутое довольно много отзывов и в целом положительные реакции на перспективу включения классический редактор вместе с 5.0 обновления для существующих сайтов.

WordPress Core Committer Паскаль Бирчлер попросил разъяснения о том, что “мы” упомянутых в пост Пендергаст, и Пендергаст уточнил, что он выступает от имени проекта WordPress. Другие комментаторы настаивали на дополнительной информации, так как объявление было доставлено как нечто, что уже было решено, и разговор вокруг решения не был публичным.

“Я благодарен за сообщение о трудной дате за поддержку классического редактора”, Даррен Этье прокомментировал пост. “Это помогает многим людям в зависимости от WordPress для их средств к существованию, чтобы планы окружающих вещей в зависимости от него. Но для добровольцев, которые “появляются” на совещаниях и в содействии, процесс для достижения такого рода решений в проекте с открытым исходным кодом очень непрозрачным и, как представляется, все больше и больше “.

Это объявление подчеркивает тенденцию в принятии последних решений по проекту, где решения по важным вопросам, как представляется, были приняты за закрытыми дверями без вклада сообщества. Предложение Мэтью Макферсона о независимом аудите доступности,который имел широкую поддержку со стороны сообщества, было закрыто аналогичным образом. Макферсон был назван WordPress 5.0 в доступности свинца, но, казалось, не в полной мере возложены на власть, чтобы привести этот аспект освобождения в интересах сообщества. Я спросил Макферсона, может ли он еще раз уточюнить, как было принято решение отказаться от аудита, так как это казалось даже сюрпризом для него в потоке вопроса GitHub. Он сказал, что “не комментирует” как это решение.

WPCampus в настоящее время проводит аудит доступности для того, чтобы лучше служить своему сообществу из более чем 800 веб-специалистов, преподавателей и других лиц, которые работают с WordPress в высшем образовании.

“Мы получаем большой интерес, и я держу встречи с потенциальными поставщиками, чтобы ответить на их вопросы”, WPCampus директор Рейчел Черри сказал. “Мы получили много сообщений от частных лиц и организаций, желающих внести свой вклад в финансовом отношении”.

В недавнем отчете группы по доступности показаны критические проблемы, которые мешают команде рекомендовать Гутенберга пользователям вспомогательных технологий. Эти вопросы также имеют большое влияние на тех, кто использует WordPress для высшего образования, так как закон требует от них, чтобы соответствовать определенным стандартам. Некоторые в этой конкретной отрасли прокомментировал пост Pendergast выступать за доставку классический редактор плагин с новыми установками, а также.

“Многие организации, которые используют WordPress обязаны по закону, чтобы обеспечить доступное программное обеспечение в соответствии с разделом 508”, Рейчел Черри сказал. “До тех пор, пока не будет улучшена доступность Гутенберга и не будет четко определено соответствие разделу 508, эти организации потребуют использования классического редактора.

“Не говоря уже о пользователях, которые будут зависеть от классического редактора, чтобы иметь доступный опыт публикации.

“Пожалуйста, рассмотрите комплектации Классический редактор со всеми версиями ядра, новые и обновленные, идти вперед, так что каждый конечный пользователь имеет простой и инклюзивный вариант использования его с первого дня”.

Элейн Шеннон, другой пользователь WordPress, который работает в академических кругах, также прокомментировал пост Пендергаста рекомендовать иметь классический редактор в комплекте с новыми версиями WordPress, в связи со многими сайтами образования работает на многоузловой установки.

“Некоторые учреждения находятся на управляемых хостов, где они будут получать 5,0 без иначины обновления сами”, сказал Шеннон. “Другие управляются на кампусе ИТ-услуг, где один администратор кампуса будет толкать обновления и затрагивают тысячи пользователей. Во многих случаях, это MultiSites, где конечные пользователи – те, кто нуждается в выборе, следует ли использовать Гутенберг или классический редактор – не имеют возможности добавить плагин. Таким образом, независимо от того, эти пользователи находятся в совершенно новой блестящей установки или просто обновленный существующий, многие пользователи будут нуждаться в том, чтобы вернуться к классическим редактором, и если он не в комплекте с Core там будут некоторые люди оставили того, чтобы связаться со своим администратором “.

Pendergast должность сказал WordPress проект рассматривает в том числе плагин с обновлениями до 5,0, но не определить, где и когда это решение будет принято. Тем не менее, пользователи, которые зависят от плагина теперь имеют четкое представление о том, как долго он будет поддерживаться.

“Что касается EOL на поддержку классического редактора, это, вероятно, больше ясности, чем “основной команды” когда-либо действительно дано на функцию к плагину перехода, и я в пользу того, что жесткий день”, WordPress основной разработчик Дрю Джейнс сказал. “Это задает правильный тон, что плагин не предназначен в качестве долгосрочного решения, а стоп-кран с окончательным EOL”.

Хотите написать для WP таверне? Мы всегда принимаем гостевые сообщения от сообщества и ищем новых участников. Свяжитесь с нами и давайте обсудим ваши идеи.

 

Оригинал: wptavern.com

Добавить комментарий

%d такие блоггеры, как: